Bug 461460 - GL application gets totally black window
GL application gets totally black window
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-08 04:55 EDT by Mamoru TASAKA
Modified: 2008-11-17 21:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-16 08:06:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (3.23 KB, text/plain)
2008-09-08 04:56 EDT, Mamoru TASAKA
no flags Details
Xorg.0.log (20.37 KB, text/plain)
2008-09-08 04:57 EDT, Mamoru TASAKA
no flags Details
Xorg.0.log (26.60 KB, application/octet-stream)
2008-09-18 17:02 EDT, Andrew Farris
no flags Details
Xorg.0.log (66.50 KB, text/plain)
2008-10-15 08:22 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Mamoru TASAKA 2008-09-08 04:55:01 EDT
Description of problem:
When I update mesa, all applications using mesa seem totally black

Version-Release number of selected component (if applicable):
mesa-libGL-7.2-0.1.fc10.i386
xorg-x11-drv-i810-2.3.2-2.fc9.i386
xorg-x11-server-Xorg-1.5.0-1.fc10.i386

How reproducible:
100%

Steps to Reproduce:
1. login in GNOME session
2. execute glxgears or some xscreensaver gl hacks (under /usr/libexec/xscreensaver)
3.
  
Actual results:
Only a black window appears

Expected results:
The window will show rotating gears or some interesting xscreensaver hacks

Additional info:
xorg-x11-drv-i810 2.4.2-3.fc10 still reproduces X crash with a certain
situation (even with mesa-libGL-7.2-0.1.fc10: bug 459777) and so I am
using xorg-x11-drv-i810-2.3.2-2.fc9 (I have not tried 2.4.2-4.fc10 yet)
Comment 1 Mamoru TASAKA 2008-09-08 04:56:31 EDT
Created attachment 316061 [details]
xorg.conf
Comment 2 Mamoru TASAKA 2008-09-08 04:57:27 EDT
Created attachment 316062 [details]
Xorg.0.log
Comment 3 Mamoru TASAKA 2008-09-12 14:16:53 EDT
xorg-x11-server-Xorg-1.5.0-1.fc10.i386
xorg-x11-drv-i810-2.4.2-7.fc10.i386
mesa-libGL-7.2-0.2.fc10.i386

still show this issue.
Comment 4 Andrew Farris 2008-09-18 17:02:11 EDT
Created attachment 317125 [details]
Xorg.0.log

I see this same behavior, although I'm also seeing selinux execmem AVCs thrown while running glxgears or any other GL apps.
Possibly related bug: https://bugzilla.redhat.com/show_bug.cgi?id=450543

My hardware, using no xorg.conf, intel X driver gets auto selected.
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
Comment 5 Matěj Cepl 2008-09-19 06:36:06 EDT
Reporter what is the output of /usr/sbin/getenforce?
Comment 6 Mamoru TASAKA 2008-09-19 07:44:05 EDT
(In reply to comment #5)
> Reporter what is the output of /usr/sbin/getenforce?
Disabled
Comment 7 Mamoru TASAKA 2008-10-01 12:27:20 EDT
I still see this issue on mesa-libGL-7.2-0.5.fc10
Comment 8 MASAO TAKAHASHI 2008-10-10 00:41:29 EDT
mesa-libGL-7.2-0.7.fc10 has same issue.
My graphic chip is 865G.
Comment 9 Mamoru TASAKA 2008-10-15 08:19:57 EDT
Some update:

With 
mesa-libGL-7.2-0.8.fc10.i386
xorg-x11-server-Xorg-1.5.2-4.fc10.i386

With
vesa driver (xorg-x11-drv-vesa-2.0.0-1.fc10) no problem
With
intel driver (xorg-x11-drv-i810-2.4.2-12.fc10) I see this issue
Comment 10 Mamoru TASAKA 2008-10-15 08:22:10 EDT
Created attachment 320425 [details]
Xorg.0.log

Xorg.0.log when using intel driver.
Note: in this case xorg.conf is completely removed.
Comment 11 Mamoru TASAKA 2008-10-24 05:27:53 EDT
Still  issue with
mesa-7.2-0.13.fc10
xorg-x11-drv-i810-2.5.0-1.fc10
Comment 12 Mamoru TASAKA 2008-11-16 08:06:17 EST
Seems resolved by xorg-x11-drv-i810-2.5.0-3.fc10
Comment 13 Masao Takahashi 2008-11-17 21:22:43 EST
(In reply to comment #12)
> Seems resolved by xorg-x11-drv-i810-2.5.0-3.fc10
What is your kernel version?
Comment 14 Mamoru TASAKA 2008-11-17 21:33:11 EST
Currently I use kernel-2.6.27.5-109.fc10

Note You need to log in before you can comment on or make changes to this bug.